{

    // Anbi_天赋_03

    // 安比后场能量自动回复速度提升1点/秒

    

    "AbilityName" : "Anbi_Electric_Talent_03",

    "AbilityStacking": "Unique",



    "DefaultModifier" : 

    {

        //入场时若在场下则添加回蓝增益效果

        "OnAdded":

        [

            {

				"$type": "MoleMole.ApplyModifier",

				"ModifierName": "AnbiTalent03Modifier",

				"Target": "Self",

                "Predicates":

                    [

                        {

                            "$type": "MoleMole.ByIsLocalAvatar",

                            "IsLocalAvatar": false,

                            "Target" : "Self"

                        }

                    ]

                

			}

        ],

         //保底检测，若进入战斗时自身在前台，则移除该增益效果

         "OnBattleEnter":

         [

             {

                "$type": "MoleMole.RemoveModifier",

                "ModifierName":"AnbiTalent03Modifier",

                "Target":"Self",

                "Predicates":

                     [

                         {

                             "$type": "MoleMole.ByIsLocalAvatar",

                             "IsLocalAvatar": true,

                             "Target" : "Self"

                         }

                     ]

                 

             }

         ],

        "OnSwitchOutFinish": [

			{

				"$type": "MoleMole.ApplyModifier",

				"ModifierName": "AnbiTalent03Modifier",

				"Target": "Self"

			}

		],

        "OnSwitchInFinish": 

        [

			{

                "$type": "MoleMole.RemoveModifier",

                "ModifierName":"AnbiTalent03Modifier",

                "Target":"Self"

            }

		]

    },



    "Modifiers": {

		//存在时回蓝自动回蓝+1/s

		"AnbiTalent03Modifier": {

			"ModifierStacking": "Unique",

			"Duration": -1,

			"OnAdded": 

            [

                {

                    "$type": "MoleMole.ModifyProperty",

                    "PropertyType": "SPRecover",

                    //"CustomPropertyType": "ChargePoint",

                    "PropertyModifyFunction": "Add",

                    "Percentage": 0,

                    "Amount": "%AS_SpRecover_Delta",

                    "Target" : "Self"

                }

			],

            "OnRemoved": 

            [

                {

                    "$type": "MoleMole.ModifyProperty",

                    "PropertyType": "SPRecover",

                    //"CustomPropertyType": "ChargePoint",

                    "PropertyModifyFunction": "Add",

                    "Percentage": 0,

                    "Amount": "%AS_SpReset_Delta",

                    "Target" : "Self"

                }

			]

		}

	},



    "AbilitySpecials" : 

    {

        //表格参数（放大100倍）

        "AS_SpRecover_Delta" :

        {

            "Value" : 100.0

        },

        "AS_SpReset_Delta" :

        {

            "Value" : -100.0

        }



    }

}